Bug 221079 - CLEAN trumped if no MAKE* exists in dkms.conf
CLEAN trumped if no MAKE* exists in dkms.conf
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: dkms (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matt Domsch
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-01 07:56 EST by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.0.17.5-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-24 03:02:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Honor CLEAN even if MAKE* not set, spelling fixes (2.52 KB, patch)
2007-01-01 07:56 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-01-01 07:56:11 EST
Specified CLEAN=... in dkms.conf is trumped by built-in defaults if no MAKE*
exists in dkms.conf.

A quick (untested) patch attached, along with some spelling fixes for the man page.
Comment 1 Ville Skyttä 2007-01-01 07:56:11 EST
Created attachment 144605 [details]
Honor CLEAN even if MAKE* not set, spelling fixes
Comment 2 Matt Domsch 2007-01-02 18:44:03 EST
You've got to turn the logic around, version test first, then test for
existance of $make_command and $clean and set them if not set.
Otherwise you're still stuck with $clean not set if $make_command
was set.  Something like:

--- dkms-2.0.13.driverdisks     Tue Jan  2 17:15:26 2007
+++ dkms        Tue Jan  2 17:24:59 2007
@@ -431,13 +431,19 @@ function read_conf ()
        index=$(($index+1))
     done

-    # Use the generic make command if no make command has been specified
-    if [ -z "$make_command" ]; then
-       if [[ $(VER $1) < $(VER 2.6.6) ]]; then
+    # Use the generic make and make clean commands if not specified
+    if [[ $(VER $1) < $(VER 2.6.6) ]]; then
+       if [ -z "$make_command" ]; then
            make_command="make -C $kernel_source_dir SUBDIRS=$dkms_tree/
$module/$module_version/build modules"
+       fi
+       if [ -z "$clean" ]; then
            clean="make -C $kernel_source_dir SUBDIRS=$dkms_tree/$module/
$module_version/build clean"
-       else
+       fi
+    else
+       if [ -z "$make_command" ]; then
            make_command="make -C $kernel_source_dir M=$dkms_tree/$module/
$module_version/build"
+       fi
+       if [ -z "$clean" ]; then
            clean="make -C $kernel_source_dir M=$dkms_tree/$module/
$module_version/build clean"
        fi
     fi


I'll take the spelling fixes.  Thanks for the report and the patch!
-Matt

Comment 3 Fedora Update System 2007-09-24 13:59:43 EDT
dkms-2.0.17.4-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2007-10-11 18:53:03 EDT
dkms-2.0.17.5-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update dkms'
Comment 5 Fedora Update System 2007-10-24 03:02:08 EDT
dkms-2.0.17.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.